Page MenuHomePhabricator

[UpdateTestChecks] Share the code to parse RUN: lines between all scripts
ClosedPublic

Authored by arichardson on Nov 19 2019, 4:24 AM.

Details

Summary

This commit also introduces a common.debug() function to avoid many
if args.verbose: statements. Depends on D70428.

Diff Detail

Event Timeline

arichardson created this revision.Nov 19 2019, 4:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 19 2019, 4:24 AM
xbolva00 added a comment.EditedNov 23 2019, 12:59 PM

I like this patch. Please ensure that everything works (we really need some tests for update scripts :) ).

@MaskRay ?

MaskRay added inline comments.Nov 23 2019, 1:33 PM
llvm/utils/UpdateTestChecks/common.py
109

Use single quotes '

  • Python2 fixes
  • Address feedback
MaskRay accepted this revision.Nov 25 2019, 12:51 PM
This revision is now accepted and ready to land.Nov 25 2019, 12:51 PM
This revision was automatically updated to reflect the committed changes.